package uam.bases.mybatis.operaciones;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.StringTokenizer;

import uam.bases.mybatis.clases.Area;

/**Clase responsable de las operaciones relacionadas con un Área**/

public class OperacionesArea {
	
	/**Método para cargar la información de un archivo e insertarlo en base de datos**/
	public void insertarAreas(){
		
		String cadenaLeida = "";
		FileReader fr;
		
		try {
			fr = new FileReader("areas.txt");
			BufferedReader archivoLectura = new BufferedReader(fr);
			

			System.out.println("Insertando las Áreas en la Base de Datos");
			cadenaLeida = archivoLectura.readLine();
			while (cadenaLeida != null) {
				Area area = new Area();
				StringTokenizer st = new StringTokenizer(cadenaLeida, ",");
				
				area.setIdArea(Integer.parseInt(st.nextToken()));
				area.setNombreArea(st.nextToken());
				
				System.out.println(area.toString());
				
				cadenaLeida = archivoLectura.readLine();
			}
			archivoLectura.close();
		} catch (FileNotFoundException e) {
			System.out.println("No se pudo encontrar el archivo");
			e.printStackTrace();
		} catch (IOException e) {
			System.out.println("No se pudo leer del archivo");
			e.printStackTrace();
		}
		
	}
	
	
}
